/* ==================== VARIABLES ====================  */
:root {
  --black: #000;
  --dark: #030303;
  --white: #ffffff;
  --Neutral-dark: #4e4e4e;
  --yellow: #dfff00;
  --green: #27eaa6;
  --blue: #8f93ff;
  --deep-teal: #193133;
  --golden: #696017;
  --off-white: #edfbe0;
  --dark-black: #282828;

  --font-inter: "Inter", sans-serif;
  --font-jetbarnis-mono: "JetBrains Mono", monospace;
  --font-helvetica: "Helvetica Neue", sans-serif;
  --font-outfit: "Outfit", sans-serif;
}

/* ==================== FONT ====================  */
/* Helvetica Neue */
@font-face {
  font-family: "Helvetica Neue";
  src: url("../fonts/HelveticaNeueRoman.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
}

/* JetBrains Mono */

@font-face {
  font-family: "JetBrains Mono";
  src: url("../fonts/JetBrainsMono-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Outfit */

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Thin.ttf") format("truetype");
  font-weight: 100;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-ExtraLight.ttf") format("truetype");
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-ExtraBold.ttf") format("truetype");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Outfit";
  src: url("../fonts/Outfit-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

body {
  font-family: var(--font-helvetica);
  font-style: normal;
  font-size: 18px;
  line-height: 1.5em;
  font-weight: 400;
  color: var(--black) !important;
  padding: 0;
  background: linear-gradient(360deg, #edfbe0 0%, #ffffff 100%);
}

/* #page main {
  background: linear-gradient(360deg, #edfbe0 0%, #ffffff 100%);
} */
.post,
.page {
  margin: 0 !important;
}
/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** pre-defined classes
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */

/* ==================== HEADING ====================  */
h1,
.h1 {
  font-size: 65px;
  line-height: 1.2em;
  font-family: var(--font-outfit);
  font-weight: 700;
  letter-spacing: -0.01em;
  margin: 0;
  color: var(--deep-teal);
}

h2,
.h2 {
  font-size: 55px;
  line-height: 108%;
  font-weight: 500;
  font-family: var(--font-outfit);
  margin: 0;
  letter-spacing: 0;
  color: var(--deep-teal);
}

h3,
.h3 {
  font-size: 50px;
  line-height: 135%;
  font-family: var(--font-outfit);
  font-weight: 500;
  margin: 0;
  letter-spacing: 0;
  color: var(--dark);
}

h4,
.h4 {
  font-size: 40px;
  line-height: 110%;
  margin: 0;
  font-family: var(--font-outfit);
  font-weight: 400;
  color: var(--black);
}

h5,
.h5 {
  font-size: 24px;
  line-height: 1.5em;
  margin: 0;
  font-family: var(--font-outfit);
  font-weight: 500;
  color: #000;
}

h6,
.h6 {
  font-size: 12px;
  line-height: 1.4em;
  margin: 0;
  font-family: var(--font-inter);
  font-weight: 500;
  color: var(--dark);
}

/* ==================== COLOR ====================  */

.black {
  color: var(--black);
}

.dark {
  color: var(--dark);
}

.white {
  color: var(--white);
}

.neutral-dark {
  color: var(--Neutral-dark);
}

.yellow {
  color: var(--yellow);
}

.green {
  color: var(--green);
}

.blue {
  color: var(--blue);
}

.deep-teal {
  color: var(--deep-teal);
}

.golden {
  color: var(--golden);
}

.off-white {
  color: var(--off-white);
}

.dark-black {
  color: var(--dark-black);
}

/* ===========================
   Background Colors
=========================== */

.bg-black {
  background-color: var(--black);
}

.bg-dark {
  background-color: var(--dark);
}

.bg-white {
  background-color: var(--white);
}

.bg-neutral-dark {
  background-color: var(--Neutral-dark);
}

.bg-yellow {
  background-color: var(--yellow);
}

.bg-green {
  background-color: var(--green);
}

.bg-blue {
  background-color: var(--blue);
}

.bg-deep-teal {
  background-color: var(--deep-teal);
}

.bg-golden {
  background-color: var(--golden);
}

.bg-off-white {
  background-color: var(--off-white);
}

.bg-dark-black {
  background-color: var(--dark-black);
}

/* ===========================
   Font Family
=========================== */

.font-inter {
  font-family: var(--font-inter);
}

.font-outfit {
  font-family: var(--font-outfit);
}

.font-helvetica {
  font-family: var(--font-helvetica);
}

.font-jetbrains-mono {
  font-family: var(--font-jetbarnis-mono);
}

/* ==================== TYPOGRAPHY ====================  */
p {
  margin: 0;
}

/* Sub heading*/
/* .badge {
  font-size: 20px;
  font-family: var(--font-inter);
  line-height: 1.5em;
  font-weight: 600;
}

.badge {
  font-family: var(--font-outfit);
  width: fit-content;
  display: inline-block;
  padding: 16px 10px;
  background: var(--yellow);
  color: #000;
  font-size: 20px;
  font-weight: 900;
  text-transform: uppercase;
  line-height: 21px;
  letter-spacing: 1%;
} */
.badge {
  font-family: var(--font-outfit);
  width: fit-content;
  display: inline-block;
  padding: 12px 8px;
  background: var(--yellow);
  color: #000;
  font-size: 16px;
  font-weight: 900;
  text-transform: uppercase;
  line-height: 21px;
  letter-spacing: 1%;
}

/* Links */
a {
  color: var(--dark);
  text-decoration: none;
}
a:hover,
a:active {
  outline: 0;
}

/* Elements */
hr {
  background-color: #ccc;
  border: 0;
  height: 1px;
  margin-bottom: 1.5em;
}

ul,
ol {
  /* margin: 0 0 1.5em 3em; */
}

ul {
  list-style: disc;
}

ol {
  list-style: decimal;
}

li > ul,
li > ol {
  margin-bottom: 0;
  margin-left: 1.5em;
}

blockquote {
  margin: 0 1.5em;
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

b,
strong {
  font-weight: bolder;
}

code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

/* text */
.md-text {
  font-size: 18px;
  font-weight: 400;
  line-height: 1.4;
}

.sm-text {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.4;
}

.white .p,
.white .lg-text,
.white .md-text,
.white .sm-text {
  color: var(--white);
}

.p-lg {
  font-size: 22px;
  line-height: 150%;
  font-weight: 400;
  font-family: var(--font-inter);
  color: var(--white);
}

/* font weight */
.fw-100 {
  font-weight: 100;
}

.fw-400 {
  font-weight: 400;
}

.fw-600 {
  font-weight: 600;
}

.fw-700 {
  font-weight: 700;
}
.fw-800 {
  font-weight: 800;
}

.fs-normal {
  font-style: normal;
}

.fs-italic {
  font-style: italic;
}

.tt-upper {
  text-transform: uppercase;
}

.tt-lower {
  text-transform: lowercase;
}

.ta-center {
  text-align: center;
}

.ta-left {
  text-align: left;
}

.ta-right {
  text-align: right;
}

.ls-1 {
  letter-spacing: 1px;
}

.ls-2 {
  letter-spacing: 2px;
}

.ls-3 {
  letter-spacing: 3px;
}

.fl {
  display: flex;
  gap: 1rem;
}

.fl-ai-center {
  align-items: center;
}

.fl-ai-fs {
  align-items: flex-start;
}

.fl-ai-fe {
  align-items: flex-end;
}

.fl-jc-sb {
  justify-content: space-between;
}

.fl-jc-fs {
  justify-content: flex-start;
}

.fl-jc-fe {
  justify-content: flex-end;
}

.fl-jc-center {
  justify-content: center;
}

.fl-dir-row {
  flex-direction: row;
}

.fl-dir-col {
  flex-direction: column;
}

.fl-dir-row-rev {
  flex-direction: row-reverse;
}

.fl-dir-col-rev {
  flex-direction: column-reverse;
}

.gd {
  display: grid;
}
.gd-col-2 {
  grid-template-columns: 1fr 1fr;
}
.gd-col-3 {
  grid-template-columns: 1fr 1fr 1fr;
}

.gd-col-4 {
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

.gd-col-5 {
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.m-auto {
  margin-left: auto;
  margin-right: auto;
}

.m-0 {
  margin: 0;
}

.m-1 {
  margin: 1rem;
}

.m-2 {
  margin: 2rem;
}

.m-3 {
  margin: 3rem;
}

.m-4 {
  margin: 4rem;
}

.m-5 {
  margin: 5rem;
}

.mt-0 {
  margin-top: 0;
}

.mt-1 {
  margin-top: 1rem;
}

.mt-2 {
  margin-top: 2rem;
}

.mt-3 {
  margin-top: 3rem;
}

.mt-4 {
  margin-top: 4rem;
}

.mt-5 {
  margin-top: 5rem;
}

.mb-0 {
  margin-bottom: 0;
}

.mb-1 {
  margin-bottom: 1rem;
}

.mb-2 {
  margin-bottom: 2rem;
}

.mb-3 {
  margin-bottom: 3rem;
}

.mb-4 {
  margin-bottom: 4rem;
}

.mb-5 {
  margin-bottom: 5rem;
}

.mx-0 {
  margin-left: 0;
  margin-right: 0;
}

.mx-1 {
  margin-left: 1rem;
  margin-right: 1rem;
}

.mx-2 {
  margin-left: 2rem;
  margin-right: 2rem;
}

.mx-3 {
  margin-left: 3rem;
  margin-right: 3rem;
}

.mx-4 {
  margin-left: 4rem;
  margin-right: 4rem;
}

.mx-5 {
  margin-left: 5rem;
  margin-right: 5rem;
}

.my-0 {
  margin-top: 0;
  margin-bottom: 0;
}

.my-1 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.my-2 {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.my-3 {
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.my-4 {
  margin-top: 4rem;
  margin-bottom: 4rem;
}

.my-5 {
  margin-top: 5rem;
  margin-bottom: 5rem;
}

.p-0 {
  padding: 0;
}

.p-1 {
  padding: 1rem;
}

.p-2 {
  padding: 2rem;
}

.p-3 {
  padding: 3rem;
}

.p-4 {
  padding: 4rem;
}

.p-5 {
  padding: 5rem;
}

.pt-0 {
  padding-top: 0;
}

.pt-1 {
  padding-top: 1rem;
}

.pt-2 {
  padding-top: 2rem;
}

.pt-3 {
  padding-top: 3rem;
}

.pt-4 {
  padding-top: 4rem;
}

.pt-5 {
  padding-top: 5rem;
}

.pb-0 {
  padding-bottom: 0;
}

.pb-1 {
  padding-bottom: 1rem;
}

.pb-2 {
  padding-bottom: 2rem;
}

.pb-3 {
  padding-bottom: 3rem;
}

.pb-4 {
  padding-bottom: 4rem;
}

.pb-5 {
  padding-bottom: 5rem;
}

.px-0 {
  padding-left: 0;
  padding-right: 0;
}

.px-1 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.px-2 {
  padding-left: 2rem;
  padding-right: 2rem;
}

.px-3 {
  padding-left: 3rem;
  padding-right: 3rem;
}

.px-4 {
  padding-left: 4rem;
  padding-right: 4rem;
}

.px-5 {
  padding-left: 5rem;
  padding-right: 5rem;
}

.py-0 {
  padding-top: 0;
  padding-bottom: 0;
}

.py-1 {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.py-2 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.py-3 {
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.py-4 {
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.py-5 {
  padding-top: 5rem;
  padding-bottom: 5rem;
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Container
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */
.container {
  max-width: 1320px;
  width: 100%;
  padding: 0 20px;
  margin: 0 auto;
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Button
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */

.btn {
  /* padding: 24px 40px; */
  padding: 18px 24px;
  background: transparent;
  color: var(--deep-teal);
  border: 2px solid var(--deep-teal);
  width: fit-content;
  display: block;
  text-decoration: none !important;
  font-weight: 900;
  font-family: var(--font-outfit);
  text-transform: capitalize;
  line-height: 1.001;
  letter-spacing: 1%;
  font-size: 20px;
  text-align: center;
  transition: all 0.25s linear;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--deep-teal);
  transition: width 0.3s ease-in-out;
  z-index: -1;
}

.btn:hover::before {
  width: 100%;
}

.btn:hover {
  color: #fff;
}

.banner-btn {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Second Button */
.secondary-btn {
  background: transparent;
  color: var(--dark-black);
  border-bottom: 2px solid black;
  padding-bottom: 15px;
  width: fit-content;
  display: inline-flex;
  align-items: center;
  text-decoration: none !important;
  font-weight: 900;
  font-family: var(--font-outfit);
  text-transform: uppercase;
  line-height: 21px;
  letter-spacing: 2%;
  font-size: 16px;
  transition: all 0.25s linear;
}
.secondary-btn:hover {
  border-bottom-color: var(--green);
  color: var(--green);
}

.secondary-btn::after {
  content: "→";
  font-family: var(--font-outfit);
  margin-left: 10px;
  transition: transform 0.25s linear;
}

.secondary-btn:hover::after {
  transform: translateX(6px);
}

/* 
.secondary-btn::after {
  content: "";
  width: 24px;
  height: 24px;
  background: url("../img/chevron_right.svg") no-repeat center;
  background-size: contain;
  transition: transform 0.25s linear;
} */

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Guttenberg page
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */

.guttenberg-page {
  padding: 4rem 0;
}
.guttenberg-page h1,
.guttenberg-page h2,
.guttenberg-page h3,
.guttenberg-page h4,
.guttenberg-page h5,
.guttenberg-page h6 {
  margin: 1rem 0 0.5rem;
}
.guttenberg-page ul li,
.guttenberg-page ol li {
  margin-bottom: 0.1em;
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** 404 Page
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */
.error-404 {
  min-height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.error-page-content {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.error-page-content h1 {
  font-size: 80px;
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** Post Details
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */
.post-page {
  padding: 100px 0;
}

.post-page .post-content-con {
  max-width: 874px;
  width: 100%;
  margin: 0 auto;
  gap: 100px;
  display: flex;
  flex-direction: column;
}

.post-page .entry-title {
  text-align: center;
  font-family: var(--font-inter);
}

.post-page .post-conten-con {
  text-align: center;
}

.post-date-and-hd {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.post-body {
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
}

.post-page .post-content {
  font-size: 20px;
  line-height: 1.6;
  color: var(--black);
  font-weight: 500;
  max-width: 650px;
  width: 100%;
  margin: 0 auto;
}

.post-page .post-content p {
  font-size: 20px;
  line-height: 1.6;
  color: var(--black);
  font-weight: 500;
}

.post-page .post-content a {
  color: var(--black);
}

.post-date {
  font-size: 20px;
  line-height: 1.2;
  color: var(--black);
  font-weight: 800;
  letter-spacing: 0.05em;
  text-transform: uppercase;
}

.post-thumbnail {
  margin-bottom: 1.5rem;
}

.post-thumbnail img {
  width: 100%;
}

/* Social Share */
.social-share {
  display: flex;
  flex-direction: column;
  gap: 15px;
  position: sticky;
  left: 0;
  top: 150px;
}

.social-share a {
  width: 40px;
  height: 40px;
  color: var(--black);
  transition: all 0.25s linear;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  border-radius: 50%;
  font-size: 20px;
}

.social-share a:hover {
  color: var(--white);
}

/* *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *
** responsive styles
** *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** *  *** */

@media screen and (max-width: 1200px) {
  /* GLobal */
  h1,
  .h1 {
    font-size: 50px;
  }
  h2,
  .h2 {
    font-size: 45px;
  }
  h3,
  .h3 {
    font-size: 40px;
  }
  h4,
  .h4 {
    font-size: 35px;
  }
}

@media only screen and (max-width: 998px) {
  /* BUTTON */
  .btn {
    padding: 10px 24px;
    font-size: 16px;
  }
}

@media only screen and (max-width: 767px) {
  /* Global */
  h1,
  .h1 {
    font-size: 45px;
  }
  h2,
  .h2 {
    font-size: 32px;
  }

  h3,
  .h3 {
    font-size: 28px;
  }

  h4,
  .h4 {
    font-size: 20px;
  }

  p,
  body {
    font-size: 16px;
  }

  .badge {
    font-size: 12px;
    padding: 5px 12px;
  }
  .md-text {
    font-size: 16px;
  }
  /* BUTTON */
  .btn {
    padding: 10px 24px;
    font-size: 14px;
  }
  .secondary-btn {
    font-size: 12px;
    gap: 4px;
    padding-bottom: 5px;
  }

  /* 	guttenberg */
  .guttenberg-page {
    padding: 2rem 0 4rem;
  }

  /* Single Post */
  .post-page {
    padding: 50px 0;
  }

  .post-page .post-content-con {
    gap: 30px;
  }

  .post-body {
    grid-template-columns: 100%;
  }

  .social-share {
    flex-direction: row;
    position: static;
    justify-content: center;
    margin-bottom: 45px;
  }

  .post-page .post-content p {
    font-size: 16px;
  }

  .post-date {
    font-size: 16px;
  }
}

@media only screen and (max-width: 467px) {
}
